Subject: Re: bug#41633: Prompts incorrect for multi-occur and multi-isearch when using fido-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Oct 2020 03:03:15 +0200

Juri Linkov <[email-masked]> writes:

> Sorry, I meant just
>
>   (substitute-command-keys
> "(\\<icomplete-fido-mode-map>\\[icomplete-fido-exit] to end): ")
>   => "(M-j to end): "
>
> not necessarily called in the minibuffer, but with the minibuffer's keymap.

Ah, I'd forgotten about the \\<icomplete-fido-mode-map> construct.

And then the actual minibuffer map isn't relevant...  or is it?

Anyway, I factored this out into multi-occur--prompt (and used it from
both call sites), and it seems to work well for me in both fido and ido
modes when calling multi-occur.

Pushed to Emacs 28 now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no